Get credentials for a cloud region
/v1/cloud_computing/regions/{region_id}/credentialsTo show OpenStack credentials in a cloud region, send a GET request to /v1/cloud_computing/regions/{region_id}/credentials with a cloud region specified as the path parameter. The account should be verfied; otherwise, the 403 status code will be sent.
Take into account the following recommendations.
-
Some functions can fail if performed directly via the OpenStack API.
-
Tenant-level networks are allocated by the Servers.com API and cannot be created via the OpenStack API.
-
New instances must always be created via the Servers.com API; direct requests to OpenStack may fail.
-
Some low-level modifications of objects via the OpenStack API may be incompatible with the Servers.com API.
-
It's safe to rebuild and reboot instances via the OpenStack API.
Authorization
bearerAuth In: header
Path Parameters
A unique identifier of a cloud region. To get a list of IDs, go to the relevant request in the Cloud Region section.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/cloud_computing/regions/0/credentials"{ "password": "f6b2d4fa36f11488f293d17788f5f861", "tenant_name": 123456, "url": "http://nova.example-470.com:5000/v2.0", "username": 123456}{ "message": "KYC verification was not completed", "code": "KYC_NOT_COMPLETED"}{ "message": "Region in maintenance mode", "code": "CLOUD_REGION_MAINTENANCE"}